> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Calculate mean time to remediate for the team



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json post /v1/detection/mean-time-to-remediate
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/detection/mean-time-to-remediate:
    post:
      tags:
        - Detection
      summary: Calculate mean time to remediate for the team
      operationId: DetectionController_mttr
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TimeFilteringDto'
      responses:
        '200':
          description: Returns the average seconds between verdict and remediation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TimeAverageAndChange'
        '422':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
      security:
        - bearer: []
components:
  schemas:
    TimeFilteringDto:
      type: object
      properties:
        startDate:
          type: string
          description: Start date (inclusive, ISO8601 string)
        endDate:
          type: string
          description: End date (inclusive, ISO8601 string)
        days:
          type: number
          description: >-
            Number of days for time-based filtering (1-365). Required by most
            endpoints unless startDate/endDate provided.
    TimeAverageAndChange:
      type: object
      properties:
        average:
          type: number
          nullable: true
        unit:
          type: string
          enum:
            - seconds
            - milliseconds
        change:
          type: number
      required:
        - average
        - unit
    HttpError:
      type: object
      properties:
        message:
          type: string
        statusCode:
          type: number
      required:
        - message
        - statusCode
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````